Package com.ocient.cli.extract

# Class SingleThreadedResultSetExtractor

java.lang.Object
com.ocient.cli.extract.ResultSetExtractor
com.ocient.cli.extract.SingleThreadedResultSetExtractor

    public class SingleThreadedResultSetExtractor
    extends ResultSetExtractor

## Field Summary

### Fields inherited from class com.ocient.cli.extract.ResultSetExtractor

`extractConfig, headers, recordExtractorFactory`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SingleThreadedResultSetExtractor​(ExtractConfiguration config)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `extract​(ResultSet resultSet, ResultSetMetaData resultSetMetaData)` |

### Methods inherited from class com.ocient.cli.extract.ResultSetExtractor

`getRow, parseHeader, startNewWriter, startNewWriter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SingleThreadedResultSetExtractor

public SingleThreadedResultSetExtractor​(ExtractConfiguration config)

## Method Details

### extract

public void extract​(ResultSet resultSet, ResultSetMetaData resultSetMetaData) throws IllegalStateException, IOException, SQLException

Specified by:
  `extract` in class `ResultSetExtractor`
Throws:
  `IllegalStateException`
  `IOException`
  `SQLException`